# Windows
  
Module for work with Windows configuration  

*Read this in other languages: [English](README.md), [Português](README.pr.md), [Español](README.es.md)*

## How to install this module
  
To install the module in Rocketbot Studio, it can be done in two ways:
1. Manual: __Download__ the .zip file and unzip it in the modules folder. The folder name must be the same as the module and inside it must have the following files and folders: \__init__.py, package.json, docs, example and libs. If you have the application open, refresh your browser to be able to use the new module.
2. Automatic: When entering Rocketbot Studio on the right margin you will find the **Addons** section, select **Install Mods**, search for the desired module and press install.  


## Overview


1. Get Screen resolution  
Return the current resolution of the main screen to a Rocketbot variable

2. Get All resolutions  
Returns all allowed screen resolutions on the main screen

3. Change resolution  
Change the resolution of the main screen to the indicated one. It must be a resolution allowed by the system

4. Get User Name  
Returns the current user name

5. Lock Windows Screen  
Locks the Windows screen

6. Is logged in?  
Checks if the current user is logged in and not on the lockscreen

7. Maximize window  
Maximizes a window by title

8. Restore window  
Restore a window by title

9. Minimize window  
Minimize a window by title

10. List open windows  
List open windows by title and handle if you want it

11. Set foreground window  
Set window to foreground

12. Find window  
Find a window by title

13. Get service status  
Get service status

14. Start service  
This command starts a Windows service. Rocketbot.exe must be run as administrator to execute this command.

15. Stop service  
This command stops a Windows service. Rocketbot.exe must be run as administrator to execute this command.

16. Move and resize window  
Change position and dimension of windows from title  




----
### OS

- windows

### Dependencies

### License
  
![MIT](https://camo.githubusercontent.com/107590fac8cbd65071396bb4d04040f76cde5bde/687474703a2f2f696d672e736869656c64732e696f2f3a6c6963656e73652d6d69742d626c75652e7376673f7374796c653d666c61742d737175617265)  
[MIT](http://opensource.org/licenses/mit-license.ph)